import { getGitHookPaths } from '../../util/git.js';
import { getDependenciesFromScripts, hasDependency } from '../../util/plugin.js';
const title = 'husky';
const enablers = ['husky'];
const isEnabled = ({ dependencies }) => hasDependency(dependencies, enablers);
const gitHookPaths = getGitHookPaths('.husky', false);
const config = [...gitHookPaths, 'package.json'];
const resolveConfig = (script, options) => {
    if (!script)
        return [];
    if (options.configFileName === 'package.json') {
        const hooks = script.hooks;
        if (hooks) {
            const scripts = Object.values(hooks);
            return ['husky', ...getDependenciesFromScripts(scripts, { ...options })];
        }
    }
    return getDependenciesFromScripts(String(script), { ...options, knownGlobalsOnly: true });
};
export default {
    title,
    enablers,
    isEnabled,
    config,
    resolveConfig,
};
