import { hasDependency } from '#p/util/plugin.js';
import { compact } from '../../util/array.js';
import { findWebpackDependenciesFromConfig } from '../webpack/index.js';
const title = 'Rspack';
const enablers = ['@rspack/core'];
const isEnabled = ({ dependencies }) => hasDependency(dependencies, enablers);
const config = ['rspack.config*.{js,ts,mjs,cjs}'];
const resolveConfig = async (localConfig, options) => {
    const { cwd, isProduction } = options;
    const { entryPatterns, dependencies } = await findWebpackDependenciesFromConfig({ config: localConfig, cwd });
    const deps = Array.from(dependencies).filter(dependency => !dependency.startsWith('builtin:'));
    if (isProduction)
        return [...entryPatterns];
    return compact([...entryPatterns, ...deps]);
};
export default {
    title,
    enablers,
    isEnabled,
    config,
    resolveConfig,
};
